Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Class fabric.Circle

Extends fabric.Object.
Circle
Defined in: circle.class.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.Circle()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | fabric.Circle.ATTRIBUTE_NAMES List of attribute names to account for when parsing SVG element (used by `fabric.Circle.fromElement`)
| type

Fields borrowed from class fabric.Object:
  FX_DURATION, FX_TRANSITION, includeDefaultValues, MIN_SCALE_LIMIT, NUM_FRACTION_DIGITS, options, rotate, stateProperties

Method Summary
Method Attributes | Method Name and Description
--- | ---
| complexity() Returns complexity of an instance
<static> | fabric.Circle.fromElement(element, options) Returns fabric.Circle instance from an SVG element
<static> | fabric.Circle.fromObject(object) Returns fabric.Circle instance from an object representation
| initialize(options) Constructor
| toObject() Returns object representation of an instance

Methods borrowed from class fabric.Object:
  callSuper, clone, cloneAsImage, drawBorders, drawCorners, fxRemove, fxStraighten, get, getAngle, getCenter, getHeight, getWidth, hasStateChanged, intersectsWithObject, intersectsWithRect, isActive, isContainedWithinRect, isType, render, saveState, scale, scaleToHeight, scaleToWidth, set, setActive, setAngle, setCoords, setOpacity, setOptions, setSourcePath, straighten, toDatalessObject, toDataURL, toggle, toGrayscale, toJSON, toString, transform

Class Detail
fabric.Circle()
Field Detail
<static> fabric.Circle.ATTRIBUTE_NAMES
List of attribute names to account for when parsing SVG element (used by `fabric.Circle.fromElement`)

type
Method Detail
{Number} complexity()
Returns complexity of an instance

Returns:
  {Number} complexity of this instance

<static> {Object} fabric.Circle.fromElement(element, options)
Returns fabric.Circle instance from an SVG element

Parameters:
element
  {SVGElement} element to parse
options
  {Object} options object

Throws:
{Error}
  If value of `r` attribute is missing or invalid

Returns:
  {Object} instance of fabric.Circle

<static> {Object} fabric.Circle.fromObject(object)
Returns fabric.Circle instance from an object representation

Parameters:
{Object} object
  Object to create an instance from

Returns:
  {Object} Instance of fabric.Circle

{fabric.Circle} initialize(options)
Constructor

Parameters:
{Object} options Optional
  Options object

Returns:
  {fabric.Circle} thisArg

{Object} toObject()
Returns object representation of an instance

Returns:
  {Object} object representation of an instance

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:42 GMT-0400 (EDT)